C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	SUBROUTINE SOMPAR(IP,IE)
	IMPLICIT LOGICAL*1 (A)
	IMPLICIT REAL*4    (C)
	IMPLICIT INTEGER*2 (D-Z)
	COMMON//SAVDES(256),CURVE1(512),CURVE2(512),ICS,ICB,ICOM
	COMMON/LINEAR/ALIN
	IE=12
C*****	      IN  SM  CH  PP  LP  PK  WD  DP
	GOTO(600,610,620,630,640,650,660,670),ICOM-54
C*****IN..55
600	IF(INTEG(IP))1040,605,605
605	IF(ALIN)WRITE(7,1080)
	RETURN
C*****SM..56
610	IF(SMOOTH(IP))1040,1020,1020
C*****CH..57
620	IF(EXCHNG(IP))1040,1000,1000
C*****PP..58
630	IF(PRPAR(IP))1040,20,20
C*****LP..59
640	IF(LABPAR(IP))1040,20,20
C*****PK..60
650	IF(FFPICK(IP))1040,1055,20
C*****WD..61
660	IF(WINDOW(IP))1110,1000,1000
C*****DP..62
670	IF(DISPAR(IP))1040,20,20
20	RETURN
1000	IE=13
	RETURN
1020	IE=2
	RETURN
1040	IE=4
	RETURN
1055	IE=7
	RETURN
1080	FORMAT(1X,'COUNTS TIME NORMALISED')
1110	IE=9
	RETURN
	END

